{
  "name": "gotify",
  "display_name": "Gotify",
  "description": "Consume Gotify API",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "gotifyApi",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "resource",
      "display_name": "Resource",
      "kind": "options",
      "required": false,
      "default": "message"
    },
    {
      "name": "operation",
      "display_name": "Operation",
      "kind": "options",
      "required": false,
      "default": "create"
    },
    {
      "name": "message",
      "display_name": "Message",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "The message to send, If using Markdown add the Content Type option"
    },
    {
      "name": "additionalFields",
      "display_name": "Additional Fields",
      "kind": "collection",
      "required": false,
      "default": "",
      "description": "The priority of the message"
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "default": "text/plain",
      "description": "The message content type"
    },
    {
      "name": "messageId",
      "display_name": "Message ID",
      "kind": "string",
      "required": true,
      "default": ""
    },
    {
      "name": "returnAll",
      "display_name": "Return All",
      "kind": "boolean",
      "required": false,
      "description": "Whether to return all results or only up to a given limit"
    },
    {
      "name": "limit",
      "display_name": "Limit",
      "kind": "number",
      "required": false,
      "description": "Max number of results to return"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/Gotify/Gotify.node.ts"
}